Computer Requirements

Computer Requirements

Make sure your browser is set to the most current version of Internet Explorer, Chrome, Safari, or Firefox. Some older versions of these browsers will be unable to fully support Canvas’ updates.

Please note that when you use Canvas, you will need to disable pop-up blockers and allow your browser to install Java.

Some courses may require Microsoft Office. If you do not have Microsoft Office, check out Microsoft OneDrive for a free solution.